//
//  PluginBokehMac.h
//  bokeh
//
//  Created by mt on 2021/4/28.
//

#import <Foundation/Foundation.h>
//
//  PluginYUVMac.h
//  PluginYUV
//
//  Created by mt on 2021/1/7.
//  Copyright © 2021 mt. All rights reserved.
//

//一、必须要调用的函数:(按顺序)：
//1.GetAliRTCPluginInterface:
//  参数plugin_name 必须为 "PluginBokeh"
//2.Init:
//  参数op_type取为0,1或者2, 0表示背景图像宽高比和前景不一致时, 为了保持等比例缩放, 背景图像采用裁剪的方法；
//                         1表示背景图像宽高比和前景不一致时, 为了保持等比例缩放, 背景图像采用填充黑边的方法
//                         2表示算法切换为背景虚化模式,该模式下不需要设置背景图像,但可以设置虚化程度(范围0～100),不设置的话,算法为默认值50
//  参数config为背景图像路径,参数op_type为0或者1时，才需要设置该参数，例如config="/Users/danny/Documents/background01.jpg"
//                        参数op_type为2时,例如config="50"或者config=""
//二、当需要改变背景才调用的函数：
//1.SetOption:
//  参数op_type取为0,1或者2, 0表示背景图像宽高比和前景不一致时, 为了保持等比例缩放, 背景图像采用裁剪的方法；
//                         1表示背景图像宽高比和前景不一致时, 为了保持等比例缩放, 背景图像采用填充黑边的方法
//                         2表示算法切换为背景虚化模式,该但可以设置虚化程度(范围0～100),不设置的话,算法为默认值50
//  参数option为背景图像路径,参数op_type为0或者1时，才需要设置该参数，例如option="/Users/danny/Documents/background01.jpg"
//                        参数op_type为2时,例如option="50"或者option=""
#import <Foundation/Foundation.h>

@interface PluginBokeh : NSObject
/**
* @brief AliRTCSDK call this for creat plugin
* @param name plugin name
* @param type plugin type
* @param pluginManager plugin manager
*/
- (void *)GetAliRTCPluginInterface:(NSString *)name
                              type:(NSNumber *)type
                     pluginManager:(const void *)pluginManager;

@end


